function odespertar_baixarTexto(id) {
    // Obtém o conteúdo da área de texto
    var texto = document.getElementById(id).value;

    // Cria um objeto Blob com o texto e define o tipo como 'text/plain'
    var blob = new Blob([texto], { type: 'text/plain' });

    // Cria um objeto URL temporário para o Blob
    var url = window.URL.createObjectURL(blob);

    // Cria um elemento de link para simular o clique e iniciar o download
    var link = document.createElement('a');
    link.href = url;
    link.download = 'de_um_titulo.txt';

    // Simula o clique no link para iniciar o download
    document.body.appendChild(link);
    link.click();

    // Remove o link após o download
    document.body.removeChild(link);
}
